This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked).
Query Parameters
campaign_id (int, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned.
start_date (str, optional): The start of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to 2023-01-01.
end_date (str, optional): The end of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to the current date.
exchange_group (str, optional): The category of exchanges to retrieve. Defaults to "replied". Possible values: "replied", "meeting-booked".
Headers
X-API-Key: The API key for authenticating the request.
Response
Returns a JSON array of BaseExchange objects.
GET
/
api
/
v1
/
campaigns
/
data
/
replies
Get Grouped Exchanges Api
curl --request GET \ --url https://services.meetchase.ai/api/v1/campaigns/data/replies \ --header 'X-API-Key: <api-key>'
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"ChaseLabs Docs","colors":{"primary":"#FF5D5D","light":"#FF5D5D","dark":"#FF5D5D"},"favicon":"/Favicon.png","logo":{"light":"https://mintcdn.com/chaselabs/q2b5RS8qgCT-5kp8/logo/light.svg?fit=max\u0026auto=format\u0026n=q2b5RS8qgCT-5kp8\u0026q=85\u0026s=7c28bbef56089dc7d49192a80c099af8","dark":"https://mintcdn.com/chaselabs/q2b5RS8qgCT-5kp8/logo/dark.svg?fit=max\u0026auto=format\u0026n=q2b5RS8qgCT-5kp8\u0026q=85\u0026s=7be9d1ecc8ff148648b82f6d499e3473"},"navbar":{"links":[{"label":"Support","href":"mailto:team@meetchase.ai"}],"primary":{"type":"button","label":"Dashboard","href":"https://go.meetchase.ai"}},"footer":{"socials":{"x":"https://x.com/meetchaselabs","github":"https://github.com/Chase-Labs","linkedin":"https://linkedin.com/company/chaselabs"}},"fonts":{"heading":{"family":"Outfit"},"body":{"family":"Outfit"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Documentation","href":"https://docs.meetchase.ai","icon":"book-open-cover"},{"anchor":"Zapier","href":"https://zapier.com/developer/public-invite/218425/33faeff99870659b59266ebfed7caf43/","icon":"bolt"},{"anchor":"Blog","href":"https://meetchase.ai/blog","icon":"newspaper"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"chaselabs","hasAudioNarration":false,"actualSubdomain":"chaselabs","customDomains":["docs.meetchase.ai"],"gitSource":{"type":"github","owner":"chase-labs","repo":"public-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c6efca764992bd9d1e2a","collectionId":"a802c4df-b023-4085-ba86-256541d04c41","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae9246423e9642788d63ed1:success","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":14},{"language":"default","tag":"Campaigns","count":6},{"language":"default","tag":"Contacts","count":4},{"language":"default","tag":"Guides","count":4},{"language":"default","tag":"Meetings \u0026 Conversions","count":2},{"language":"default","tag":"API Documentation","count":1},{"language":"default","tag":"AI SDRs","count":1},{"language":"default","tag":"Documentation","count":1},{"language":"default","tag":"Getting Started","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/endpoint/fetchCampaignContactStatus","slug":"/api-reference/endpoint/fetchCampaignContactStatus","pageMetadata":{"title":"Fetch Contact Status","openapi":"GET /api/v1/campaigns/data/replies","description":"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked).\n\n### Query Parameters\n\n- **campaign_id** (`int`, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned.\n- **start_date** (`str`, optional): The start of the date range for filtering exchanges, in `YYYY-MM-DD` format. **Defaults to `2023-01-01`**.\n- **end_date** (`str`, optional): The end of the date range for filtering exchanges, in `YYYY-MM-DD` format. **Defaults to the current date**.\n- **exchange_group** (`str`, optional): The category of exchanges to retrieve. **Defaults to `\"replied\"`**. Possible values: `\"replied\"`, `\"meeting-booked\"`.\n\n### Headers\n\n- **X-API-Key**: The API key for authenticating the request.\n\n### Response\n\nReturns a JSON array of `BaseExchange` objects.","href":"/api-reference/endpoint/fetchCampaignContactStatus"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n h3: \"h3\",\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked).\"\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Query Parameters\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"campaign_id\"\n }), \" (\", _jsx(_components.code, {\n children: \"int\"\n }), \", optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"start_date\"\n }), \" (\", _jsx(_components.code, {\n children: \"str\"\n }), \", optional): The start of the date range for filtering exchanges, in \", _jsx(_components.code, {\n children: \"YYYY-MM-DD\"\n }), \" format. \", _jsxs(_components.strong, {\n children: [\"Defaults to \", _jsx(_components.code, {\n children: \"2023-01-01\"\n })]\n }), \".\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"end_date\"\n }), \" (\", _jsx(_components.code, {\n children: \"str\"\n }), \", optional): The end of the date range for filtering exchanges, in \", _jsx(_components.code, {\n children: \"YYYY-MM-DD\"\n }), \" format. \", _jsx(_components.strong, {\n children: \"Defaults to the current date\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"exchange_group\"\n }), \" (\", _jsx(_components.code, {\n children: \"str\"\n }), \", optional): The category of exchanges to retrieve. \", _jsxs(_components.strong, {\n children: [\"Defaults to \", _jsx(_components.code, {\n children: \"\\\"replied\\\"\"\n })]\n }), \". Possible values: \", _jsx(_components.code, {\n children: \"\\\"replied\\\"\"\n }), \", \", _jsx(_components.code, {\n children: \"\\\"meeting-booked\\\"\"\n }), \".\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Headers\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.strong, {\n children: \"X-API-Key\"\n }), \": The API key for authenticating the request.\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.h3, {\n children: \"Response\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Returns a JSON array of \", _jsx(_components.code, {\n children: \"BaseExchange\"\n }), \" objects.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Fetch Contact Status","openapi":"GET /api/v1/campaigns/data/replies","description":"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked).\n\n### Query Parameters\n\n- **campaign_id** (`int`, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned.\n- **start_date** (`str`, optional): The start of the date range for filtering exchanges, in `YYYY-MM-DD` format. **Defaults to `2023-01-01`**.\n- **end_date** (`str`, optional): The end of the date range for filtering exchanges, in `YYYY-MM-DD` format. **Defaults to the current date**.\n- **exchange_group** (`str`, optional): The category of exchanges to retrieve. **Defaults to `\"replied\"`**. Possible values: `\"replied\"`, `\"meeting-booked\"`.\n\n### Headers\n\n- **X-API-Key**: The API key for authenticating the request.\n\n### Response\n\nReturns a JSON array of `BaseExchange` objects.","href":"/api-reference/endpoint/fetchCampaignContactStatus"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Public API Routes","Campaign Data Routes"],"summary":"Get Grouped Exchanges Api","description":"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked).\n\n### Query Parameters\n\n- **campaign_id** (`int`, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned.\n- **start_date** (`str`, optional): The start of the date range for filtering exchanges, in `YYYY-MM-DD` format. **Defaults to `2023-01-01`**.\n- **end_date** (`str`, optional): The end of the date range for filtering exchanges, in `YYYY-MM-DD` format. **Defaults to the current date**.\n- **exchange_group** (`str`, optional): The category of exchanges to retrieve. **Defaults to `\"replied\"`**. Possible values: `\"replied\"`, `\"meeting-booked\"`.\n\n### Headers\n\n- **X-API-Key**: The API key for authenticating the request.\n\n### Response\n\nReturns a JSON array of `BaseExchange` objects.","operationId":"get_grouped_exchanges_api_api_v1_campaigns_data_replies_get","security":["90dff1f8-16d0-4734-a988-cdc216b74c50"],"parameters":["2a0bb41b-25a7-4ceb-87fb-2729b6ef15a8","e2ae4167-1046-4136-99b1-30fd4bded882","9363a226-c15f-4174-9ceb-930d650e2a24","774b6e97-a976-4e78-b9dc-3ed5806b629e"],"responses":{"200":"02f432e3-b389-4f75-81a7-495be6a85a72","422":"67496cbd-a5f6-4d31-b176-3deeea8f1393"},"method":"get","type":"path","servers":["1fadd3a3-e71c-47e8-a0a0-bb3283f27699"],"path":"/api/v1/campaigns/data/replies","baseUrlOptions":["https://services.meetchase.ai"],"title":"Get Grouped Exchanges Api","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"2a0bb41b-25a7-4ceb-87fb-2729b6ef15a8":{"name":"campaign_id","in":"query","required":false,"schema":{"oneOf":[{"type":"integer","title":"Campaign Id","uniqueKey":"oneOf.0","typeLabel":"integer"},{"type":"null","title":"Campaign Id","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"integer | null"}},"e2ae4167-1046-4136-99b1-30fd4bded882":{"name":"start_date","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Start Date","format":"date","uniqueKey":"oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","title":"Start Date","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate> | null"}},"9363a226-c15f-4174-9ceb-930d650e2a24":{"name":"end_date","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"End Date","format":"date","uniqueKey":"oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","title":"End Date","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate> | null"}},"774b6e97-a976-4e78-b9dc-3ed5806b629e":{"name":"exchange_group","in":"query","required":false,"schema":{"enum":["replied","meeting-booked"],"type":"string","default":"replied","title":"Exchange Group","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"responses":{"02f432e3-b389-4f75-81a7-495be6a85a72":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"integer","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].id","typeLabel":"integer"},"campaign_id":{"type":"integer","title":"Campaign Id","isRequired":true,"uniqueKey":"items.[INDEX].campaign_id","typeLabel":"integer"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","isRequired":true,"uniqueKey":"items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"contact":{"properties":{"email":{"type":"string","format":"email","title":"Email","isRequired":true,"uniqueKey":"items.[INDEX].contact.email","typeLabel":"string\u003cemail>"},"id":{"type":"integer","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].contact.id","typeLabel":"integer"},"organisation":{"oneOf":[{"type":"string","title":"Organisation","isRequired":true,"uniqueKey":"items.[INDEX].contact.organisation.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organisation","isRequired":true,"uniqueKey":"items.[INDEX].contact.organisation.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].contact.organisation","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","title":"First Name","maxLength":63,"uniqueKey":"items.[INDEX].contact.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","uniqueKey":"items.[INDEX].contact.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].contact.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","maxLength":63,"uniqueKey":"items.[INDEX].contact.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","uniqueKey":"items.[INDEX].contact.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].contact.last_name","typeLabel":"string | null"}},"type":"object","required":["email","id","organisation"],"title":"Correspondent","examples":[{"email":"guido@example.com","first_name":"Guido","id":1,"last_name":"van Rossum","organisation":"Microsoft"}],"isRequired":true,"uniqueKey":"items.[INDEX].contact","typeLabel":"Correspondent · object"},"bot":{"properties":{"email":{"type":"string","format":"email","title":"Email","isRequired":true,"uniqueKey":"items.[INDEX].bot.email","typeLabel":"string\u003cemail>"},"id":{"type":"integer","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].bot.id","typeLabel":"integer"},"organisation":{"oneOf":[{"type":"string","title":"Organisation","isRequired":true,"uniqueKey":"items.[INDEX].bot.organisation.oneOf.0","typeLabel":"string"},{"type":"null","title":"Organisation","isRequired":true,"uniqueKey":"items.[INDEX].bot.organisation.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].bot.organisation","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","title":"First Name","maxLength":63,"uniqueKey":"items.[INDEX].bot.first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","uniqueKey":"items.[INDEX].bot.first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].bot.first_name","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","maxLength":63,"uniqueKey":"items.[INDEX].bot.last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","uniqueKey":"items.[INDEX].bot.last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].bot.last_name","typeLabel":"string | null"}},"type":"object","required":["email","id","organisation"],"title":"Correspondent","examples":[{"email":"guido@example.com","first_name":"Guido","id":1,"last_name":"van Rossum","organisation":"Microsoft"}],"isRequired":true,"uniqueKey":"items.[INDEX].bot","typeLabel":"Correspondent · object"},"status":{"type":"string","enum":["OUTREACH_PENDING","OUTREACH_QUEUED","OUTREACH_ACTIVE","NO_RESPONSE","INVALID_ADDRESS","FAILED_DELIVERY","UNSUB_LINK","UNSUB_REQUEST","DECLINED","FOLLOWUP_LATER","FOLLOWUP_SENT","PROVIDED_REFERRAL","OUTREACH_REFERRAL","SCHEDULING_MEETING","INFO_INQUIRY","AWAITING_REPLY","NURTURING","MEETING_BOOKED","OTHER_CONVERSION"],"title":"Status","isRequired":true,"uniqueKey":"items.[INDEX].status","typeLabel":"enum\u003cstring>"}},"type":"object","required":["id","campaign_id","updated_at","contact","bot","status"],"title":"BaseExchange","examples":[{"bot":{"email":"ken@example.org","first_name":"Ken","id":1,"last_name":"Thompson","organisation":"Google"},"campaign_id":1,"contact":{"email":"guido@example.com","first_name":"Guido","id":1,"last_name":"van Rossum","organisation":"Microsoft"},"id":1,"status":"INFO_INQUIRY","updated_at":"2025-03-14T11:00:00"}],"uniqueKey":"items.[INDEX]","typeLabel":"BaseExchange · object"},"title":"Response Get Grouped Exchanges Api Api V1 Campaigns Data Replies Get","uniqueKey":"","typeLabel":"BaseExchange · object[]"},"examples":{"Example":{"title":"Example","value":[{"bot":{"email":"ken@example.org","first_name":"Ken","id":1,"last_name":"Thompson","organisation":"Google"},"campaign_id":1,"contact":{"email":"guido@example.com","first_name":"Guido","id":1,"last_name":"van Rossum","organisation":"Microsoft"},"id":1,"status":"INFO_INQUIRY","updated_at":"2025-03-14T11:00:00"}]}},"exampleType":"generated"}},"exampleType":"generated"},"67496cbd-a5f6-4d31-b176-3deeea8f1393":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"90dff1f8-16d0-4734-a988-cdc216b74c50":{"API Key":{"type":"apiKey","description":"Key used to authenticate user API requests.","in":"header","name":"X-API-Key","scopes":[]}}},"servers":{"1fadd3a3-e71c-47e8-a0a0-bb3283f27699":{"url":"https://services.meetchase.ai"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","description":"Key used to authenticate user API requests.","in":"header","name":"X-API-Key","scopes":[]},"schema":{"title":"X-API-Key","type":"string","description":"Key used to authenticate user API requests.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"API Key","name":"X-API-Key"}],"title":"API Key"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"chaselabs","siteName":"ChaseLabs Docs","title":"Fetch Contact Status - ChaseLabs Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-16T17:28:48.542Z","originalFileLocation":"api-reference/endpoint/fetchCampaignContactStatus.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked). ### Query Parameters - campaign_id (int, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned. - start_date (str, optional): The start of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to 2023-01-01. - end_date (str, optional): The end of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to the current date. - exchange_group (str, optional): The category of exchanges to retrieve. Defaults to \u0026quot;replied\u0026quot;. Possible values: \u0026quot;replied\u0026quot;, \u0026quot;meeting-booked\u0026quot;. ### Headers - X-API-Key: The API key for authenticating the request. ### Response Returns a JSON array of BaseExchange objects.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ChaseLabs Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Fetch Contact Status - ChaseLabs Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked). ### Query Parameters - campaign_id (int, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned. - start_date (str, optional): The start of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to 2023-01-01. - end_date (str, optional): The end of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to the current date. - exchange_group (str, optional): The category of exchanges to retrieve. Defaults to \u0026quot;replied\u0026quot;. Possible values: \u0026quot;replied\u0026quot;, \u0026quot;meeting-booked\u0026quot;. ### Headers - X-API-Key: The API key for authenticating the request. ### Response Returns a JSON array of BaseExchange objects.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ChaseLabs Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://chaselabs.mintlify.app/_mintlify/api/og/v2?division=Campaigns\u0026amp;title=Fetch+Contact+Status\u0026amp;description=This+endpoint+fetches+exchange+data%2C+which+represents+a+conversation+between+a+bot+and+a+contact.+It+can+be+filtered+by+campaign%2C+a+date+range%2C+and+the+type+of+\u0026amp;theme=a49033ef29aa61cd09ed854c\u0026amp;signature=b57615e0676299288c9e440d84b8ecfdcfd74239d5f2dddf259aa027cb2098b2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Fetch Contact Status - ChaseLabs Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked). ### Query Parameters - campaign_id (int, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned. - start_date (str, optional): The start of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to 2023-01-01. - end_date (str, optional): The end of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to the current date. - exchange_group (str, optional): The category of exchanges to retrieve. Defaults to \u0026quot;replied\u0026quot;. Possible values: \u0026quot;replied\u0026quot;, \u0026quot;meeting-booked\u0026quot;. ### Headers - X-API-Key: The API key for authenticating the request. ### Response Returns a JSON array of BaseExchange objects.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://chaselabs.mintlify.app/_mintlify/api/og/v2?division=Campaigns\u0026amp;title=Fetch+Contact+Status\u0026amp;description=This+endpoint+fetches+exchange+data%2C+which+represents+a+conversation+between+a+bot+and+a+contact.+It+can+be+filtered+by+campaign%2C+a+date+range%2C+and+the+type+of+\u0026amp;theme=a49033ef29aa61cd09ed854c\u0026amp;signature=b57615e0676299288c9e440d84b8ecfdcfd74239d5f2dddf259aa027cb2098b2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/chaselabs/jAtBf2JN94wP8Dmz/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ChaseLabs Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF5D5D\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/fetchCampaignContactStatus.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.meetchase.ai/#organization\",\"name\":\"ChaseLabs Docs\",\"url\":\"https://docs.meetchase.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/chaselabs/q2b5RS8qgCT-5kp8/logo/light.svg?fit=max\u0026auto=format\u0026n=q2b5RS8qgCT-5kp8\u0026q=85\u0026s=7c28bbef56089dc7d49192a80c099af8\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.meetchase.ai#website\",\"name\":\"ChaseLabs Docs\",\"url\":\"https://docs.meetchase.ai\",\"publisher\":{\"@id\":\"https://docs.meetchase.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus#webpage\",\"url\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus\",\"name\":\"Fetch Contact Status\",\"description\":\"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked). ### Query Parameters - campaign_id (int, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned. - start_date (str, optional): The start of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to 2023-01-01. - end_date (str, optional): The end of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to the current date. - exchange_group (str, optional): The category of exchanges to retrieve. Defaults to \\\"replied\\\". Possible values: \\\"replied\\\", \\\"meeting-booked\\\". ### Headers - X-API-Key: The API key for authenticating the request. ### Response Returns a JSON array of BaseExchange objects.\",\"dateModified\":\"2026-01-16T17:28:48.542Z\",\"isPartOf\":{\"@id\":\"https://docs.meetchase.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Campaigns\",\"item\":\"https://docs.meetchase.ai/api-reference/endpoint/uploadContactToCampaignStart\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Fetch Contact Status\",\"item\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus#apireference\",\"headline\":\"Fetch Contact Status\",\"name\":\"Fetch Contact Status\",\"description\":\"This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked). ### Query Parameters - campaign_id (int, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned. - start_date (str, optional): The start of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to 2023-01-01. - end_date (str, optional): The end of the date range for filtering exchanges, in YYYY-MM-DD format. Defaults to the current date. - exchange_group (str, optional): The category of exchanges to retrieve. Defaults to \\\"replied\\\". Possible values: \\\"replied\\\", \\\"meeting-booked\\\". ### Headers - X-API-Key: The API key for authenticating the request. ### Response Returns a JSON array of BaseExchange objects.\",\"url\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus\",\"mainEntityOfPage\":{\"@id\":\"https://docs.meetchase.ai/api-reference/endpoint/fetchCampaignContactStatus#webpage\"},\"dateModified\":\"2026-01-16T17:28:48.542Z\",\"publisher\":{\"@id\":\"https://docs.meetchase.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.meetchase.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ChaseLabs Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"ChaseLabs Docs","nav":{"global":{"anchors":[{"anchor":"Documentation","href":"https://docs.meetchase.ai","icon":"book-open-cover"},{"anchor":"Zapier","href":"https://zapier.com/developer/public-invite/218425/33faeff99870659b59266ebfed7caf43/","icon":"bolt"},{"anchor":"Blog","href":"https://meetchase.ai/blog","icon":"newspaper"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/setup"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"API Keys","href":"/api-reference/api-key"}]},{"group":"Campaigns","pages":[{"title":"Add Contact to Campaign \u0026 Start","openapi":"POST /api/v1/campaigns/{campaign_id}/contacts/upload-and-start","href":"/api-reference/endpoint/uploadContactToCampaignStart"},{"title":"Add Contact to Campaign","openapi":"POST /api/v1/campaigns/{campaign_id}/contacts/upload","href":"/api-reference/endpoint/uploadContactToCampaign"},{"title":"Fetch Campaigns","openapi":"GET /api/v1/campaigns","href":"/api-reference/endpoint/fetchCampaigns"},{"title":"Start Campaign","openapi":"PUT /api/v1/campaigns/{campaign_id}/start","description":"Initiates a specified campaign, marking it as active and beginning the exchanges.\n\n ### Path Parameters\n\n - `organisation_id` (`int`): The ID of the organisation under which the campaign is registered.\n - `campaign_id` (`int`): The unique identifier of the campaign to be started.\n\n ### Headers\n\n- `X-API-Key`: API key for user authentication.\n\n ### Response\n\n - Returns a confirmation message indicating that the campaign has been successfully started and will begin its operations imminently.\n\n ### Errors\n\n - `400 Bad Request`: If the campaign cannot be started due to missing or invalid campaign settings.\n - `403 Forbidden`: If the user making the request does not have the necessary permissions to start the campaign.\n - `404 Not Found`: The campaign does not belong to the specified organisation.","href":"/api-reference/endpoint/startCampaign"},{"title":"Fetch Contact Status","openapi":"GET /api/v1/campaigns/data/replies","href":"/api-reference/endpoint/fetchCampaignContactStatus"},{"title":"Fetch Email Exchange","openapi":"GET /api/v1/exchanges/{exchange_id}/emails","description":"Retrieves the email chain for a specific exchange.\n\n## Path Parameters\n\n- **exchange_id** (`int`): The ID of the exchange whose email chain is to be retrieved.\n\n## Authentication (Headers)\n\n- **X-API-Key**: The API key for authenticating the request.\n\n## Returns\n\n- **EmailChain**: The email chain associated with the specified exchange.","href":"/api-reference/endpoint/fetchEmailExchange"}]},{"group":"Meetings \u0026 Conversions","pages":[{"title":"Fetch Meetings","openapi":"GET /api/v1/meetings","href":"/api-reference/endpoint/fetchMeetings"},{"title":"Log Conversion","openapi":"POST /api/v2/conversions","href":"/api-reference/endpoint/insertConversion"}]},{"group":"Contacts","pages":[{"title":"Fetch Contacts","openapi":"GET /api/v1/contacts","href":"/api-reference/endpoint/fetchContacts"},{"title":"Add Contact","openapi":"POST /api/v1/contacts/add","href":"/api-reference/endpoint/uploadContact"},{"title":"Add Domain to DNC List","openapi":"POST /api/v1/dnc-domains/json","href":"/api-reference/endpoint/addDNCDomain"},{"title":"Add Contact to DNC List","openapi":"POST /api/v1/contacts/dnc/add","href":"/api-reference/endpoint/addDNC"}]},{"group":"AI SDRs","pages":[{"title":"Fetch AI SDRs","openapi":"GET /api/v1/bots","href":"/api-reference/endpoint/fetchAISDR"}]}]}]},"basePath":"","title":"Fetch Contact Status - ChaseLabs Docs","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}